Subject: bug#45613: (no subject)

From: Raphaël Mélotte <[email-masked]>
Date: Mon, 11 Oct 2021 16:12:22 +0200

To me it looks like this bug is now solved.

I remember having the same problem months ago, but today it seems to work fine 
(on a foreign distro).

Guix:
---
   guix 6eded1a
     repository URL: https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: 6eded1a04186e3118b293486b038c994e05efedf
---

Icecat:
---
icecat                  78.14.0-guix0-preview1  out 
/gnu/store/xwzp1lj8b429yc9nbx3nwy1ia9r1sr2x-icecat-78.14.0-guix0-preview1
---

It worked both with https://u2f.bin.coffee/ and other services.

Note that I'm "cheating" a little bit though: I'm using an emulated device, not 
an actual USB device (but the same emulated device previously didn't work with a 
Guix-built icecat).